For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get startedSolutionsEssentials GuidesFull Stack GuidesKnowledgeTestAPI
Get startedSolutionsEssentials GuidesFull Stack GuidesKnowledgeTestAPI
    • Introduction
    • Authentication
    • Idempotency
    • Metadata
    • Pagination
    • Versioning
    • Errors
    • Postman collection
    • Payroc SDKs (Beta)
  • Schema
        • GETList batches
        • GETRetrieve batch
        • GETList transactions
        • GETRetrieve transaction
        • GETList authorizations
        • GETRetrieve authorization
        • GETList disputes
        • GETList dispute statuses
        • GETList ACH deposits
        • GETRetrieve ACH deposit
        • GETList ACH deposit fees
LogoLogo
SchemaReportingSettlement

Retrieve authorization

|View as Markdown
GET
/authorizations/:authorizationId
GET
/v1/authorizations/:authorizationId
1using Payroc;
2using System.Threading.Tasks;
3using Payroc.Reporting.Settlement;
4
5namespace Usage;
6
7public class Example
8{
9 public async Task Do() {
10 var client = new PayrocClient();
11
12 await client.Reporting.Settlement.RetrieveAuthorizationAsync(
13 new RetrieveAuthorizationSettlementRequest {
14 AuthorizationId = 12345
15 }
16 );
17 }
18
19}
1{
2 "authorizationId": 65,
3 "createdDate": "2024-07-02",
4 "lastModifiedDate": "2024-07-02",
5 "authorizationResponse": "successful",
6 "preauthorizationRequestAmount": 10000,
7 "currency": "USD",
8 "batch": {
9 "batchId": 12,
10 "date": "2024-07-02",
11 "cycle": "am",
12 "link": {
13 "rel": "batch",
14 "method": "get",
15 "href": "https://api.payroc.com/v1/batches/12"
16 }
17 },
18 "card": {
19 "cardNumber": "453985******7062",
20 "type": "visa",
21 "cvvPresenceIndicator": true,
22 "avsRequest": true,
23 "avsResponse": "Y"
24 },
25 "merchant": {
26 "merchantId": "4525644354",
27 "doingBusinessAs": "Pizza Doe",
28 "processingAccountId": 38765,
29 "link": {
30 "rel": "processingAccount",
31 "method": "get",
32 "href": "https://api.payroc.com/v1/processing-accounts/38765"
33 }
34 },
35 "transaction": {
36 "transactionId": 442233,
37 "type": "capture",
38 "date": "2024-07-02",
39 "entryMethod": "swiped",
40 "amount": 100,
41 "link": {
42 "rel": "transaction",
43 "method": "get",
44 "href": "https://api.payroc.com/v1/transactions/12345"
45 }
46 }
47}
Use this method to retrieve information about an authorization. **Note:** To retrieve an authorization, you need its authorizationId. If you don't have the authorizationId, use our [List Authorizations](https://docs.payroc.com/api/schema/reporting/settlement/list-authorizations) method to search for the authorization. Our gateway returns the following information about the authorization: - Authorization response from the issuing bank. - Amount that the issuing bank authorized. - Merchant that ran the authorization. - Details about the customer's card, the transaction, and the batch.
Was this page helpful?
Previous

List authorizations

Next

List disputes

Use this method to retrieve information about an authorization.

Note: To retrieve an authorization, you need its authorizationId. If you don’t have the authorizationId, use our List Authorizations method to search for the authorization.

Our gateway returns the following information about the authorization:

  • Authorization response from the issuing bank.
  • Amount that the issuing bank authorized.
  • Merchant that ran the authorization.
  • Details about the customer’s card, the transaction, and the batch.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

authorizationIdintegerRequired
Unique identifier of the authorization.

Response

Successful request. Returns the requested authorization.
authorizationIdinteger
Unique identifier that we assigned to the authorization.
createdDatedate

Date that we received the authorization. The format of this value is YYYY-MM-DD.

lastModifiedDatedate

Date that the authorization was last changed. The format of this value is YYYY-MM-DD.

authorizationResponseenum
Response from the issuing bank for the authorization.
preauthorizationRequestAmountinteger
Amount that the merchant requested for the authorization. We return the value in the currency's lowest denomination, for example, cents.
currencystring

Currency of the authorization. The value for the currency follows the ISO 4217 standard.

batchobject or null
Object that contains information about the batch. If we can't match a dispute to a batch, we don't return 'batch' object.
cardobject
Object that contains information about the card.
merchantobject
Object that contains information about the merchant.
transactionobject
Object that contains summary information about the transaction that the dispute is linked to.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error